org.eclipse.mat.ui.snapshot.actions

## Class OpenSampleHeapDumpAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.mat.ui.snapshot.actions.OpenSampleHeapDumpAction

All Implemented Interfaces:
  Runnable, org.eclipse.help.ILiveHelpAction, org.eclipse.jface.action.IAction, org.eclipse.ui.cheatsheets.ICheatSheetAction

    public class OpenSampleHeapDumpAction
    extends org.eclipse.jface.action.Action
    implements org.eclipse.ui.cheatsheets.ICheatSheetAction, org.eclipse.help.ILiveHelpAction

### Nested Class Summary

Nested Classes
`static class` `OpenSampleHeapDumpAction.Handler`

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`OpenSampleHeapDumpAction()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `openEditor(String snapshotPath, String editorId, Object arguments)`
`void` `run()`
`void` `run(String[] params, org.eclipse.ui.cheatsheets.ICheatSheetManager manager)`
`void` `setInitializationString(String data)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenSampleHeapDumpAction

    public OpenSampleHeapDumpAction()

### Method Detail

#### run

    public void run(String[] params,
                    org.eclipse.ui.cheatsheets.ICheatSheetManager manager)

Specified by:
  `run` in interface `org.eclipse.ui.cheatsheets.ICheatSheetAction`

#### openEditor

    public static final void openEditor(String snapshotPath,
                                        String editorId,
                                        Object arguments)
                                 throws org.eclipse.ui.PartInitException

Throws:
  `org.eclipse.ui.PartInitException`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`

#### setInitializationString

    public void setInitializationString(String data)

Specified by:
  `setInitializationString` in interface `org.eclipse.help.ILiveHelpAction`